org.apache.solr.core

## Enum SolrConfig.HttpCachingConfig.LastModFrom

- java.lang.Object
- - java.lang.Enum<SolrConfig.HttpCachingConfig.LastModFrom>
  - - org.apache.solr.core.SolrConfig.HttpCachingConfig.LastModFrom

- All Implemented Interfaces:
    Serializable, Comparable<SolrConfig.HttpCachingConfig.LastModFrom>
  Enclosing class:
    SolrConfig.HttpCachingConfig

      public static enum SolrConfig.HttpCachingConfig.LastModFrom
      extends Enum<SolrConfig.HttpCachingConfig.LastModFrom>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOGUS`
    `DIRLASTMOD`
    `OPENTIME`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SolrConfig.HttpCachingConfig.LastModFrom` | `parse(String s)` Input must not be null
    `static SolrConfig.HttpCachingConfig.LastModFrom` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SolrConfig.HttpCachingConfig.LastModFrom[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPENTIME

          public static final SolrConfig.HttpCachingConfig.LastModFrom OPENTIME

    - #### DIRLASTMOD

          public static final SolrConfig.HttpCachingConfig.LastModFrom DIRLASTMOD

    - #### BOGUS

          public static final SolrConfig.HttpCachingConfig.LastModFrom BOGUS

  - ### Method Detail

    - #### values

          public static SolrConfig.HttpCachingConfig.LastModFrom[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SolrConfig.HttpCachingConfig.LastModFrom c : SolrConfig.HttpCachingConfig.LastModFrom.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SolrConfig.HttpCachingConfig.LastModFrom valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parse

          public static SolrConfig.HttpCachingConfig.LastModFrom parse(String s)

      Input must not be null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.